## lyx 2.5.0

=== po/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2008-2011 Peter Kümmel, <syntheticpp@gmx.net>
# Copyright (c) 2008-2011 Kornel Benko, <Kornel.Benko@berlin.de>
#

project(po)

include_directories(${TOP_SRC_DIR}/po)

SET(_lyxname ${PACKAGE})
SET(_py_sources)

macro(add_gettext_python  _par _dir)
  set(_sources)
  foreach(_arg ${ARGN})
    file(GLOB _s1 ${TOP_SRC_DIR}/${_dir}/${_arg})
    list(SORT _s1)
    list(APPEND _sources ${_s1})
  endforeach(_arg)
  if (${_par} MATCHES "layouttranslations")
    SET(_dst "${CMAKE_CURRENT_BINARY_DIR}/${_par}")
  else ()
    SET(_dst "${CMAKE_CURRENT_BINARY_DIR}/${_par}_l10n.pot")
  endif()
  SET(_tmp_src_files "${CMAKE_CURRENT_BINARY_DIR}/${_par}_tmp_files")
  SET(_src_files "${CMAKE_CURRENT_BINARY_DIR}/${_par}_files")
  file(WRITE ${_tmp_src_files} "")
  foreach(_s ${_sources})
    FILE(APPEND ${_tmp_src_files} "${_s}\n")
  endforeach()
  if(${_par} MATCHES "^\(.*\)_[0-9]+$")
    set(_par1 ${CMAKE_MATCH_1})
  else()
    set(_par1 ${_par})
  endif()
  ADD_CUSTOM_COMMAND(
    OUTPUT ${_src_files}
    COMMAND ${CMAKE_COMMAND} -E copy_if_different ${_tmp_src_files} ${_src_files}
    DEPENDS ${_tmp_src_files}
  )
  if (${_par} MATCHES "layouttranslations")
    # lyx_pot.py requires the module "polib" if using target layouttranslations1,
    # so we have to check for it
    find_python_module("polib")
    if ("${LYX_PY_POLIB}" STREQUAL "")
      message(STATUS "You will be unable to update layouttranslations file")
    endif()
    ADD_CUSTOM_COMMAND(
      OUTPUT "${_dst}"
      COMMAND  ${CMAKE_COMMAND}
	"-DTOP_SRC_DIR=${TOP_SRC_DIR}"
	"-DDestFile=${_dst}"
	"-DLYX_PYTHON_EXECUTABLE=${LYX_PYTHON_EXECUTABLE}"
	"-DParType=${_par1}"
	"-DSources=${_src_files}"
        "-DLYX_PY_POLIB=${LYX_PY_POLIB}"
	-P "${TOP_SRC_DIR}/po/CreateLayoutTranslations.cmake"
      DEPENDS ${_sources} ${_src_files} "${TOP_SRC_DIR}/lib/layouttranslations" "${TOP_SRC_DIR}/po/lyx_pot.py"
      COMMENT "${LYX_PYTHON_EXECUTABLE} ${TOP_SRC_DIR}/po/lyx_pot.py -b ${TOP_SRC_DIR} -o  ${_dst} -t ${_par1} --src_file=${_src_files}"
      )
    ADD_CUSTOM_TARGET(layouttranslations1 DEPENDS "${_dst}")
	set_target_properties(layouttranslations1 PROPERTIES FOLDER "i18n")
    if (LYX_DATA_SUBDIR STREQUAL "")
      install(FILES "${TOP_SRC_DIR}/lib/layouttranslations" DESTINATION .)
    else()
      install(FILES "${TOP_SRC_DIR}/lib/layouttranslations" DESTINATION ${LYX_DATA_SUBDIR})
    endif()
  else()
    ADD_CUSTOM_COMMAND(
      OUTPUT "${_dst}"
      COMMAND ${LYX_PYTHON_EXECUTABLE}
      ARGS "${TOP_SRC_DIR}/po/lyx_pot.py" -b "${TOP_SRC_DIR}" -o "${_dst}" -t ${_par1} "--src_file=${_src_files}"
      DEPENDS ${_sources} ${_src_files} "${TOP_SRC_DIR}/po/lyx_pot.py"
      COMMENT "${LYX_PYTHON_EXECUTABLE} ${TOP_SRC_DIR}/po/lyx_pot.py -b ${TOP_SRC_DIR} -o  ${_dst} -t ${_par1} --src_file=${_src_files}"
      )
    LIST(APPEND _py_sources "${_dst}")
  endif()
  SET_SOURCE_FILES_PROPERTIES("${_dst}" GENERATED)
  SET_SOURCE_FILES_PROPERTIES("${_src_files}" GENERATED)
endmacro(add_gettext_python)

SET_SOURCE_FILES_PROPERTIES("${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.cat.pot" GENERATED)
SET_SOURCE_FILES_PROPERTIES("${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.fmt.pot" GENERATED)
SET_SOURCE_FILES_PROPERTIES("${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.pot" GENERATED)
if (UNIX)
  # create symbolic links for external lokalizations programs
  # to be able to find the referenced sources if used on
  # built po-files
  foreach (_dir lib src)
    execute_process(
      COMMAND ${CMAKE_COMMAND} -E create_symlink "${TOP_SRC_DIR}/${_dir}" "${CMAKE_CURRENT_BINARY_DIR}/${_dir}")
  endforeach()
endif()

add_gettext_python(layouttranslations lib layouts/*.layout layouts/*.inc layouts/*.module citeengines/*.citeengine)
add_gettext_python(languages lib languages)
add_gettext_python(layouts lib layouts/*.layout layouts/*.inc layouts/*.module citeengines/*.citeengine)
add_gettext_python(latexcolors lib latexcolors)
add_gettext_python(latexfonts lib latexfonts)
add_gettext_python(encodings lib encodings)
add_gettext_python(ui lib/ui *.ui *.inc)
add_gettext_python(external lib/xtemplates *.xtemplate)
add_gettext_python(formats lib configure.py)
add_gettext_python(tabletemplates lib tabletemplates/*.lyx)
add_gettext_python(qt src/frontends/qt/ui *.ui)
add_gettext_python(examples_templates lib examples/[a-zA-Z]* templates/[a-zA-Z]*)

ADD_CUSTOM_COMMAND(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.cat.pot"
    COMMAND ${LYX_PYTHON_EXECUTABLE}
    ARGS   "${TOP_CMAKE_PATH}/po/cat.py" ${_py_sources} > "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.cat_tmp.pot"
    COMMAND ${CMAKE_COMMAND} -E copy_if_different
      "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.cat_tmp.pot" "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.cat.pot"
    DEPENDS ${_py_sources}
    )

ADD_CUSTOM_COMMAND(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.fmt.pot"
    COMMAND ${GETTEXT_MSGUNIQ_EXECUTABLE}
    ARGS -o "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.fmt_tmp.pot" "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.cat.pot"
    COMMAND ${CMAKE_COMMAND} -E copy_if_different
      "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.fmt_tmp.pot" "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.fmt.pot"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.cat.pot"
    )

SET(_potfiles_dep)

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in.tmp "")
file(GLOB_RECURSE _tmp_potfiles RELATIVE ${TOP_SRC_DIR}/ ${TOP_SRC_DIR}/src/*.h  ${TOP_SRC_DIR}/src/*.cpp  ${TOP_SRC_DIR}/src/*.cpp.in)
list(SORT _tmp_potfiles)
# list(REMOVE_ITEM _tmp_potfiles src/support/Package.cpp)

foreach(_f ${_tmp_potfiles})
  # we don't need to select only relevant files because the outcome of xgettext
  # will stay the same.
  # Relevant files are files containing the string '_(".*")'
  LIST(APPEND _potfiles_dep "${TOP_SRC_DIR}/${_f}")
  file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in.tmp "${_f}\n")
endforeach(_f)

execute_process(
  COMMAND ${CMAKE_COMMAND} -E copy_if_different "${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in.tmp" "${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in"
  )

if (GETTEXT_MSGCAT_EXECUTABLE)
  ADD_CUSTOM_COMMAND(
	OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.pot"
	COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE}
	--from-code=UTF-8
	--default-domain=${_lyxname} --directory=${TOP_SRC_DIR}
	--add-comments=TRANSLATORS:
	--language=C++ --keyword=_ --keyword=N_ --keyword=B_ --keyword=qt_
	--files-from=${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in
	--copyright-holder="LyX Developers" --msgid-bugs-address=lyx-devel@lists.lyx.org
	-o "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.src.pot"
	COMMAND ${GETTEXT_MSGCAT_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.src.pot" "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.fmt.pot" -o "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.pot"
	DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.fmt.pot" ${_potfiles_dep}
  )

else()
  ADD_CUSTOM_COMMAND(
	OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.pot"
	COMMAND ${CMAKE_COMMAD} -E copy "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.fmt.pot" "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.pot"
	COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE}
	--from-code=UTF-8
	--default-domain=${_lyxname} --directory=${TOP_SRC_DIR}
	--add-comments=TRANSLATORS:
	--language=C++ --join-existing --keyword=_ --keyword=N_ --keyword=B_ --keyword=qt_
	--files-from=${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in
	--copyright-holder="LyX Developers" --msgid-bugs-address=lyx-devel@lists.lyx.org
	-o "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.pot"
	DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.fmt.pot" ${_potfiles_dep}
  )

endif()
#
# We have to copy the po-files first,
# otherwise they would be modified (inside the macro GETTEXT_CREATE_TRANSLATIONS())
# This makes the "git pull" on po-files work again
file(GLOB LYX_BASE_PO_FILES RELATIVE ${TOP_SRC_DIR}/po ${TOP_SRC_DIR}/po/*.po)
list(SORT LYX_BASE_PO_FILES)
set(LYX_PO_FILES)
SET(LYX_UPDATED_PO_FILES)
SET(LYX_DEST_PO ${TOP_SRC_DIR}/po)

set(CONFIGURED_LANGUAGES)		# from file LINGUAS
set(INSTALLED_LANGUAGES)		# from names of existing po-files

file(STRINGS "${TOP_SRC_DIR}/po/LINGUAS" _lang_lines)
foreach(_c_l ${_lang_lines})
  if(NOT _c_l MATCHES "^#.*")
    string(REPLACE " " ";" _c_l ${_c_l}) #Split ${_c_l}
    list(APPEND CONFIGURED_LANGUAGES ${_c_l})
  endif()
endforeach(_c_l)

foreach(_pofile ${LYX_BASE_PO_FILES})
  string(REGEX REPLACE "^(.*)\\.po$" "\\1" _inst_lng ${_pofile})
  list(FIND CONFIGURED_LANGUAGES ${_inst_lng} _lng_idx)
  if(_lng_idx GREATER -1)
    list(APPEND INSTALLED_LANGUAGES ${_inst_lng})
  endif()
  add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_pofile}
    COMMAND ${CMAKE_COMMAND} -E copy ${TOP_SRC_DIR}/po/${_pofile} ${CMAKE_CURRENT_BINARY_DIR}/${_pofile}
    DEPENDS ${TOP_SRC_DIR}/po/${_pofile}
    )
  list(APPEND LYX_PO_FILES ${CMAKE_CURRENT_BINARY_DIR}/${_pofile})
endforeach(_pofile)

FIND_PROGRAM(LYX_GITVERSION git)
set(LYX_UPDATED_GMO_FILES)
foreach(_gmo_base ${INSTALLED_LANGUAGES})
  set(_gmo ${_gmo_base}.gmo)
  set(_tobeupdated "${CMAKE_CURRENT_BINARY_DIR}/${_gmo}.tobeupdated")
  list(APPEND LYX_UPDATED_GMO_FILES "${_tobeupdated}")
  if(LYX_GITVERSION)
    add_custom_command(
      OUTPUT "${_tobeupdated}"
	  COMMAND "${LYX_GITVERSION}" "status" "--porcelain" "${_gmo_base}.po" ">" "${_tobeupdated}"
	  COMMAND ${LYX_PYTHON_EXECUTABLE} "${TOP_CMAKE_PATH}/po/update-gmo.py" 
		"${_tobeupdated}"
		"${CMAKE_CURRENT_BINARY_DIR}/${_gmo}"
		"${LYX_DEST_PO}/${_gmo}"
	  WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
      DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${_gmo}"
      )
  else()
    add_custom_command(
      OUTPUT "${_tobeupdated}"
      COMMAND ${CMAKE_COMMAND} -E copy_if_different "${CMAKE_CURRENT_BINARY_DIR}/${_gmo}" "${LYX_DEST_PO}/${_gmo}"
      COMMAND ${CMAKE_COMMAND} -E touch "${_tobeupdated}"
      DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${_gmo}"
    )
  endif()
endforeach()

set(LYX_UPDATED_PO_FILES)
foreach(_pofile ${LYX_BASE_PO_FILES})
  if(WIN32)
    add_custom_command(
      OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_pofile}.copied
      COMMAND ${LYX_PYTHON_EXECUTABLE}
        ARGS   "${TOP_CMAKE_PATH}/po/unix2dos.py" "${CMAKE_CURRENT_BINARY_DIR}/${_pofile}"
      COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_BINARY_DIR}/${_pofile} ${LYX_DEST_PO}/${_pofile}
      COMMAND ${CMAKE_COMMAND} -E touch ${_pofile}.copied
      DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_pofile}
      )
  else()
    add_custom_command(
      OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_pofile}.copied
      COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_BINARY_DIR}/${_pofile} ${LYX_DEST_PO}/${_pofile}
      COMMAND ${CMAKE_COMMAND} -E touch ${_pofile}.copied
      DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_pofile}
      )
  endif()
  list(APPEND LYX_UPDATED_PO_FILES ${CMAKE_CURRENT_BINARY_DIR}/${_pofile}.copied)
endforeach(_pofile)

if(LYX_CPACK OR LYX_INSTALL)
  set(_addALLOption ALL)
endif()
GETTEXT_CREATE_TRANSLATIONS(${CMAKE_CURRENT_BINARY_DIR}/${_lyxname}.pot ${_addALLOption} ${LYX_PO_FILES})

# Create a new target to remerge po files
# ALL omitted here, to prevent from automatic creation
ADD_CUSTOM_TARGET(update-gmo DEPENDS ${LYX_UPDATED_GMO_FILES})
ADD_CUSTOM_TARGET(update-po DEPENDS ${LYX_UPDATED_PO_FILES} ${LYX_UPDATED_GMO_FILES})
set_target_properties(update-po update-gmo PROPERTIES FOLDER "i18n")
add_dependencies(update-po translations)
add_dependencies(update-gmo translations)
add_dependencies(update-gmo update-po)

=== src/frontends/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2006-2011 Peter Kümmel, <syntheticpp@gmx.net>
#

project(frontends)

include_directories(${TOP_SRC_DIR}/src/frontends)

add_subdirectory(qt)

file(GLOB frontends_sources ${TOP_SRC_DIR}/src/frontends/${LYX_CPP_FILES})
file(GLOB frontends_headers ${TOP_SRC_DIR}/src/frontends/${LYX_HPP_FILES})

handle_source_option("CXX" ${TOP_SRC_DIR}/src/frontends/WorkAreaManager.cpp -Wno-shadow)
if(NOT LYX_MERGE_FILES)
	add_library(frontends ${library_type} ${frontends_sources} ${frontends_headers})
else()
	lyx_const_touched_files(_allinone  frontends_sources)
	add_library(frontends ${library_type} ${_allinone_files})
endif()
set_target_properties(frontends PROPERTIES FOLDER "applications/LyX" QT_NO_UNICODE_DEFINES TRUE)

target_link_libraries(frontends)

project_source_group("${GROUP_CODE}" frontends_sources frontends_headers)

add_subdirectory(tests)

=== src/support/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2006-2011 Peter Kümmel, <syntheticpp@gmx.net>
#

project(support)

file(GLOB support_sources ${TOP_SRC_DIR}/src/support/${LYX_CPP_FILES})
file(GLOB moc_files ${TOP_SRC_DIR}/src/support/${LYX_MOC_FILES})
list(REMOVE_ITEM support_sources ${moc_files} .)
if(APPLE)
	list(APPEND dont_merge ${TOP_SRC_DIR}/src/support/AppleSpeller.m)
	list(APPEND dont_merge ${TOP_SRC_DIR}/src/support/AppleScript.m)
	list(APPEND dont_merge ${TOP_SRC_DIR}/src/support/AppleSupport.m)
else()
	list(REMOVE_ITEM support_sources "${TOP_SRC_DIR}/src/support/AppleScriptProxy.cpp")
endif()

file(GLOB support_headers ${TOP_SRC_DIR}/src/support/${LYX_HPP_FILES})

file(GLOB support_linkback_sources ${TOP_SRC_DIR}/src/support/linkback/*.m*)
file(GLOB support_linkback_headers ${TOP_SRC_DIR}/src/support/linkback/*.h)

set_source_files_properties(${support_linkback_sources}
	${TOP_SRC_DIR}/src/support/AppleSpeller.m
	${TOP_SRC_DIR}/src/support/AppleScript.m
		PROPERTIES COMPILE_FLAGS "-std=c99")

list(REMOVE_ITEM support_sources
	${TOP_SRC_DIR}/src/support/os_win32.cpp
	${TOP_SRC_DIR}/src/support/os_unix.cpp
	${TOP_SRC_DIR}/src/support/os_cygwin.cpp
	${TOP_SRC_DIR}/src/support/gettext.cpp)
if (${LYX_DEBUG_SANITIZE} MATCHES "ADDRESS")
  foreach(_base filetools os)
    handle_source_option("CXX" ${TOP_SRC_DIR}/src/support/${_base}.cpp -Wno-maybe-uninitialized)
  endforeach()
endif()
handle_source_option("CXX" ${TOP_SRC_DIR}/src/support/environment.cpp -Wno-unreachable-code-return -Wno-null-dereference)
foreach(_base FileMonitor unicode)
  handle_source_option("CXX" ${TOP_SRC_DIR}/src/support/${_base}.cpp -Wno-shadow)
endforeach()
handle_source_option("CXX" ${TOP_SRC_DIR}/src/support/checksum.cpp -Wno-null-dereference)
#handle_source_option("CXX" ${TOP_SRC_DIR}/src/support/ForkedCalls.cpp -Wno-delete-non-abstract-non-virtual-dtor)
if(NOT STD_STRING_USES_COW)
	list(REMOVE_ITEM support_sources ${TOP_SRC_DIR}/src/support/trivstring.cpp)
endif()

if(APPLE)
	message(STATUS "Mac LinkBack support")
else()
	set(support_linkback_sources "")
	set(support_linkback_headers "")
endif()

add_subdirectory(tests)

# needed to compile tex2lyx in merged mode
set(dont_merge ${dont_merge} ${TOP_SRC_DIR}/src/support/gettext.cpp)

lyx_add_msvc_pch(support)

lyx_automoc(${support_sources})

include_directories(
	${TOP_SRC_DIR}/src/support
	${TOP_BINARY_DIR}/src/support
	${QT_INCLUDES}
	${ICONV_INCLUDE_DIR}
	${ZLIB_INCLUDE_DIR})


if(NOT LYX_MERGE_FILES)
	set(support_sources ${support_sources} ${support_linkback_sources})
	set(support_headers ${support_headers} ${support_linkback_headers})
	add_library(support ${library_type} ${support_sources} ${support_headers} ${dont_merge})
else()
	# GCC bug: gcc resolves ::bind as boost::bind
	set(support_separate ${TOP_SRC_DIR}/src/support/socktools.cpp ${TOP_SRC_DIR}/src/support/Messages.cpp)
	list(REMOVE_ITEM support_sources ${support_separate})
	lyx_const_touched_files(_allinone  support_sources)
	set(depends_moc ${support_headers})
	set_source_files_properties(_allinone_const.C
		PROPERTIES OBJECT_DEPENDS "${depends_moc}")
	set_source_files_properties(_allinone_touched.C
		PROPERTIES OBJECT_DEPENDS "${depends_moc}")
	add_library(support ${library_type} ${_allinone_files} ${support_separate}
		${support_linkback_sources} ${support_headers} ${dont_merge})
endif()
set_target_properties(support PROPERTIES FOLDER "applications/LyX" QT_NO_UNICODE_DEFINES TRUE)

qt_use_modules(support Core Gui)

target_link_libraries(support ${QT_QTCORE_LIBRARY} ${ZLIB_LIBRARY})

lyx_add_gcc_pch(support)

if(APPLE)
	target_link_libraries(support "objc" "-framework AppKit" "-framework CoreFoundation")
	if(CMAKE_COMPILER_IS_GNUCXX)
		set_source_files_properties(${support_sources} PROPERTIES COMPILE_FLAGS "-fobjc-exceptions")
	endif()
elseif(WIN32)
	target_link_libraries(support shlwapi psapi)
endif()

project_source_group("${GROUP_CODE}" support_sources support_headers)

=== src/tex2lyx/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2006-2011 Peter Kümmel, <syntheticpp@gmx.net>
# Copyright (c) 2008-2011 Kornel Benko, <Kornel.Benko@berlin.de>
#

project(${_tex2lyx})

set(LINKED_sources)
set(LINKED_headers)

foreach(_src graphics/GraphicsParams insets/ExternalTemplate
	insets/ExternalTransforms insets/InsetLayout Author CiteEnginesList Color Counters
	Encoding FloatList Floating FontInfo LaTeXPackages Layout
	LayoutFile LayoutModuleList support/Lexer ModuleList TextClass
	LaTeXColors Spacing version)
	list(APPEND LINKED_sources ${TOP_SRC_DIR}/src/${_src}.cpp)
	list(APPEND LINKED_headers ${TOP_SRC_DIR}/src/${_src}.h)
endforeach(_src)

file(GLOB tex2lyx_sources ${TOP_SRC_DIR}/src/tex2lyx/${LYX_CPP_FILES})
if (${LYX_DEBUG_SANITIZE} MATCHES "ADDRESS")
  handle_source_option("CXX" ${TOP_SRC_DIR}/src/insets/ExternalTransforms.cpp -Wno-maybe-uninitialized)
  foreach(_base Encoding LayoutFile)
    handle_source_option("CXX" ${TOP_SRC_DIR}/src/${_base}.cpp -Wno-maybe-uninitialized)
  endforeach()
  foreach(_base Encoding LayoutFile Preamble)
    handle_source_option("CXX" ${TOP_SRC_DIR}/src/tex2lyx/${_base}.cpp -Wno-maybe-uninitialized)
  endforeach()
endif()
foreach(_base tex2lyx/Context tex2lyx/Parser tex2lyx/Preamble tex2lyx/text
	Counters FontInfo Layout LayoutFile LayoutModuleList TextClass
	insets/InsetLayout tex2lyx/dummy_impl tex2lyx/math tex2lyx/table tex2lyx/tex2lyx
  )
  handle_source_option("CXX" ${TOP_SRC_DIR}/src/${_base}.cpp -Wno-shadow)
endforeach()
foreach(_base TextClass tex2lyx/table tex2lyx/text TextClass)
  #handle_source_option("CXX" ${TOP_SRC_DIR}/src/${_base}.cpp -Wno-deprecated-copy-with-user-provided-dtor)
endforeach()
foreach(_base tex2lyx/Context tex2lyx/table tex2lyx/tex2lyx tex2lyx/text)
  handle_source_option("CXX" ${TOP_SRC_DIR}/src/${_base}.cpp -Wno-defaulted-function-deleted)
endforeach()
foreach(_base LayoutFile)
  #handle_source_option("CXX" ${TOP_SRC_DIR}/src/${_base}.cpp -Wno-delete-non-abstract-non-virtual-dtor)
endforeach()

file(GLOB tex2lyx_headers ${TOP_SRC_DIR}/src/tex2lyx/${LYX_HPP_FILES})

include_directories(BEFORE
	"${TOP_SRC_DIR}/src/tex2lyx"
	${ZLIB_INCLUDE_DIR})

if(WIN32 AND NOT MINGW)
	set(FILE_RC ${TOP_SRC_DIR}/src/lyxwinres.rc)
	message(STATUS "Using icon defined in resource file: ${FILE_RC}")
endif()

if(NOT LYX_MERGE_FILES)
	add_executable(${_tex2lyx} ${tex2lyx_sources} ${LINKED_sources} ${tex2lyx_headers} ${LINKED_headers} 	${FILE_RC})
else()
	lyx_const_touched_files(_allinone  tex2lyx_sources)
	lyx_const_touched_files(_allinone_linked  LINKED_sources)
	add_executable(${_tex2lyx} ${_allinone_files} ${_allinone_linked_files} ${FILE_RC})
endif()
set_target_properties(${_tex2lyx} PROPERTIES
	FOLDER "applications/TeX2LyX"
  QT_NO_UNICODE_DEFINES TRUE
	INTERPROCEDURAL_OPTIMIZATION ${LYX_IPO_SUPPORTED})

target_link_libraries(${_tex2lyx}
	support
	${QT_QTCORE_LIBRARY}
	${QT_QTGUI_LIBRARY}
	${ICONV_LIBRARY})

qt_use_modules(${_tex2lyx} ${QtCore5CompatModule})
lyx_target_link_libraries(${_tex2lyx} Magic)

add_dependencies(${_tex2lyx} lyx_version)

if(WIN32)
	target_link_libraries(${_tex2lyx} shlwapi ole32 psapi)
endif()

if(CYGWIN)
	target_link_libraries(${_tex2lyx} shlwapi ole32)
endif()

if(APPLE)
	target_link_libraries(${_tex2lyx} "-framework AppKit")
endif()


project_source_group("${GROUP_CODE}" tex2lyx_sources tex2lyx_headers)

add_subdirectory(test)

install(TARGETS ${_tex2lyx} DESTINATION ${LYX_UTILITIES_INSTALL_PATH})

=== debian/changelog ===
lyx (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0
    - Use Qt6 instead of Qt5 for building
    - Add libxkbcommon-dev to Build-Depends
    - Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 14 Feb 2026 12:33:36 +0100

lyx (2.5.0~RC2-2) experimental; urgency=medium

  * Use --enable-build-type=release while building the RC
  * Move metainfo file to lyx package. This should hopefully
    resolve the AppStream errors and warnings.
  * Use Qt6 instead of Qt5 for building
  * Add libxkbcommon-dev to Build-Depends

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 25 Dec 2025 18:19:47 +0100

=== debian/control ===
Source: lyx
Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
Uploaders:
 Nick Andrik <nick.andrik@gmail.com>,
Section: editors
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 bc,
 libenchant-2-dev,
 libhunspell-dev,
 libmagic-dev,
 libmythes-dev,
 libx11-dev,
 libxkbcommon-dev,
 libz-dev,
 pkgconf,
 python3,
 qt6-base-dev,
 qt6-svg-dev,
 tex-common,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/lyx
Vcs-Git: https://salsa.debian.org/debian/lyx.git
Homepage: https://www.lyx.org/

Package: lyx
Architecture: any
Breaks: lyx-common (<< 2.5.0~RC2-2)
Replaces: lyx-common (<< 2.5.0~RC2-2)
Depends:
 lyx-common (= ${source:Version}),
 xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 docbook-xsl-ns,
 dvipng,
 evince | pdf-viewer,
 fonts-lyx,
 ghostscript,
 imagemagick,
 libtiff-tools,
 poppler-utils,
 preview-latex-style,
 psutils,
 texlive-fonts-recommended,
 texlive-latex-extra,
 texlive-latex-recommended,
 texlive-plain-generic,
 texlive-science,
 xsltproc,
Suggests:
 chktex,
 gnuhtml2latex,
 gnumeric,
 groff,
 latex2rtf,
 librsvg2-bin | inkscape,
 lilypond,
 maxima,
 noweb,
 r-cran-knitr,
 rcs,
 tex4ht | hevea | tth | latex2html,
 texlive-xetex,
 writer2latex,
 wv,
Description: document processor
 LyX is an almost WYSIWYG-frontend for LaTeX. It makes the power and
 typesetting quality of LaTeX available for people who are used to
 word processors. Since LyX supports LaTeX's concept of general
 mark-ups, it is even easier and faster to create professional quality
 documents with it than with usual word processors. It is also
 possible to use LaTeX commands within LyX, so nothing of LaTeX's
 power is lost.
 .
 You can extend the functionality of LyX by installing these packages:
  * chktex: check for typographical errors
  * gnuhtml2latex: import HTML documents
  * groff: improved table formatting in plain text exports
  * gnumeric: import spreadsheats
  * librsvg2-bin, inkscape: use the SVG image format in LyX documents
  * lilypond: support for musical sheets
  * maxima: integrated CAS support for equation evaluation
  * mythes-*: use the OpenOffice.org/LibreOffice Thesaurus
  * noweb, r-cran-knitr: use literate programming
  * rcs, cvs, svn, git: integrated version control
  * texlive-xetex/luatex: use the XeTeX/LuaTeX typesetting system
  * wv: import MS Word documents
  * xsltproc (or saxon with openjdk-17-jre), docbook-xsl: ePub export

Package: fonts-lyx
Architecture: all
Multi-Arch: foreign
Section: fonts
Depends:
 ${misc:Depends},
Description: TrueType versions of some TeX fonts used by LyX
 These fonts are needed for the visual math symbol display in
 LyX. They can also be used to display MathML in Gecko-based browsers
 like Firefox.
 .
 The following fonts are included in this package:
  * cmex10  - Computer Modern math extension
  * cmmi10  - Computer Modern math italic
  * cmr10   - Computer Modern Roman
  * cmsy10  - Computer Modern math symbols
  * esint10 - Alternate integrals
  * eufm10  - Euler Fraktur (medium-weight)
  * msam10  - Extra math symbols, first series
  * msbm10  - Extra math symbols, second series, including Blackboard Bold
  * wasy10  - Waldi symbol fonts

Package: lyx-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 lyx,
Breaks: lyx (<< 2.5.0~RC2-2)
Description: architecture-independent files for LyX
 This package contains LyX's common files which are not
 architecture-dependent. See the lyx package for a description of LyX
 itself.

=== debian/watch ===
Version: 5

# Disable the previous stable version until v2.5 is ready
#Source: https://www.lyx.org/Download
#Matching-Pattern: https://ftp.lip6.fr/pub/lyx/stable/[\d\.]*\.x/lyx-@ANY_VERSION@@ARCHIVE_EXT@
Source: https://ftp.lip6.fr/pub/lyx/devel/lyx-2.5/
Matching-Pattern: lyx-@ANY_VERSION@@ARCHIVE_EXT@
Pgpsigurlmangle: s/$/.sig/
